com.corticon.rulesemf.ast

## Interface AstFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AstFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `AstPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AstFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdditiveExpression` | `createAdditiveExpression()` Returns a new object of class 'Additive Expression'
    `AdditiveOperator` | `createAdditiveOperator()` Returns a new object of class 'Additive Operator'
    `AdditiveSubExpression` | `createAdditiveSubExpression()` Returns a new object of class 'Additive Sub Expression'
    `AssignmentExpression` | `createAssignmentExpression()` Returns a new object of class 'Assignment Expression'
    `AssignmentOperator` | `createAssignmentOperator()` Returns a new object of class 'Assignment Operator'
    `CompoundExpression` | `createCompoundExpression()` Returns a new object of class 'Compound Expression'
    `ConditionValueSet` | `createConditionValueSet()` Returns a new object of class 'Condition Value Set'
    `Declarator` | `createDeclarator()` Returns a new object of class 'Declarator'
    `Expression` | `createExpression()` Returns a new object of class 'Expression'
    `FeatureCall` | `createFeatureCall()` Returns a new object of class 'Feature Call'
    `FeatureCallParameters` | `createFeatureCallParameters()` Returns a new object of class 'Feature Call Parameters'
    `GeneralExpression` | `createGeneralExpression()` Returns a new object of class 'General Expression'
    `IfExpression` | `createIfExpression()` Returns a new object of class 'If Expression'
    `Literal` | `createLiteral()` Returns a new object of class 'Literal'
    `LiteralCollection` | `createLiteralCollection()` Returns a new object of class 'Literal Collection'
    `LogicalExpression` | `createLogicalExpression()` Returns a new object of class 'Logical Expression'
    `LogicalOperator` | `createLogicalOperator()` Returns a new object of class 'Logical Operator'
    `LogicalSubExpression` | `createLogicalSubExpression()` Returns a new object of class 'Logical Sub Expression'
    `MultiplicativeExpression` | `createMultiplicativeExpression()` Returns a new object of class 'Multiplicative Expression'
    `MultiplicativeOperator` | `createMultiplicativeOperator()` Returns a new object of class 'Multiplicative Operator'
    `MultiplicativeSubExpression` | `createMultiplicativeSubExpression()` Returns a new object of class 'Multiplicative Sub Expression'
    `Name` | `createName()` Returns a new object of class 'Name'
    `ParameterList` | `createParameterList()` Returns a new object of class 'Parameter List'
    `PathName` | `createPathName()` Returns a new object of class 'Path Name'
    `PostfixExpression` | `createPostfixExpression()` Returns a new object of class 'Postfix Expression'
    `PrimaryExpression` | `createPrimaryExpression()` Returns a new object of class 'Primary Expression'
    `Qualifiers` | `createQualifiers()` Returns a new object of class 'Qualifiers'
    `RangeExpression` | `createRangeExpression()` Returns a new object of class 'Range Expression'
    `RelationalExpression` | `createRelationalExpression()` Returns a new object of class 'Relational Expression'
    `RelationalOperator` | `createRelationalOperator()` Returns a new object of class 'Relational Operator'
    `RelationalSubExpression` | `createRelationalSubExpression()` Returns a new object of class 'Relational Sub Expression'
    `RuleStatement` | `createRuleStatement()` Returns a new object of class 'Rule Statement'
    `TypeSpecifier` | `createTypeSpecifier()` Returns a new object of class 'Type Specifier'
    `UnaryExpression` | `createUnaryExpression()` Returns a new object of class 'Unary Expression'
    `UnaryOperator` | `createUnaryOperator()` Returns a new object of class 'Unary Operator'
    `ValueSet` | `createValueSet()` Returns a new object of class 'Value Set'
    `AstPackage` | `getAstPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final AstFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createAdditiveExpression

          AdditiveExpression createAdditiveExpression()

      Returns a new object of class 'Additive Expression'.
      Returns:
        a new object of class 'Additive Expression'.

    - #### createAdditiveOperator

          AdditiveOperator createAdditiveOperator()

      Returns a new object of class 'Additive Operator'.
      Returns:
        a new object of class 'Additive Operator'.

    - #### createAdditiveSubExpression

          AdditiveSubExpression createAdditiveSubExpression()

      Returns a new object of class 'Additive Sub Expression'.
      Returns:
        a new object of class 'Additive Sub Expression'.

    - #### createAssignmentExpression

          AssignmentExpression createAssignmentExpression()

      Returns a new object of class 'Assignment Expression'.
      Returns:
        a new object of class 'Assignment Expression'.

    - #### createAssignmentOperator

          AssignmentOperator createAssignmentOperator()

      Returns a new object of class 'Assignment Operator'.
      Returns:
        a new object of class 'Assignment Operator'.

    - #### createCompoundExpression

          CompoundExpression createCompoundExpression()

      Returns a new object of class 'Compound Expression'.
      Returns:
        a new object of class 'Compound Expression'.

    - #### createDeclarator

          Declarator createDeclarator()

      Returns a new object of class 'Declarator'.
      Returns:
        a new object of class 'Declarator'.

    - #### createExpression

          Expression createExpression()

      Returns a new object of class 'Expression'.
      Returns:
        a new object of class 'Expression'.

    - #### createFeatureCall

          FeatureCall createFeatureCall()

      Returns a new object of class 'Feature Call'.
      Returns:
        a new object of class 'Feature Call'.

    - #### createFeatureCallParameters

          FeatureCallParameters createFeatureCallParameters()

      Returns a new object of class 'Feature Call Parameters'.
      Returns:
        a new object of class 'Feature Call Parameters'.

    - #### createGeneralExpression

          GeneralExpression createGeneralExpression()

      Returns a new object of class 'General Expression'.
      Returns:
        a new object of class 'General Expression'.

    - #### createIfExpression

          IfExpression createIfExpression()

      Returns a new object of class 'If Expression'.
      Returns:
        a new object of class 'If Expression'.

    - #### createLiteral

          Literal createLiteral()

      Returns a new object of class 'Literal'.
      Returns:
        a new object of class 'Literal'.

    - #### createLiteralCollection

          LiteralCollection createLiteralCollection()

      Returns a new object of class 'Literal Collection'.
      Returns:
        a new object of class 'Literal Collection'.

    - #### createLogicalExpression

          LogicalExpression createLogicalExpression()

      Returns a new object of class 'Logical Expression'.
      Returns:
        a new object of class 'Logical Expression'.

    - #### createLogicalOperator

          LogicalOperator createLogicalOperator()

      Returns a new object of class 'Logical Operator'.
      Returns:
        a new object of class 'Logical Operator'.

    - #### createLogicalSubExpression

          LogicalSubExpression createLogicalSubExpression()

      Returns a new object of class 'Logical Sub Expression'.
      Returns:
        a new object of class 'Logical Sub Expression'.

    - #### createMultiplicativeExpression

          MultiplicativeExpression createMultiplicativeExpression()

      Returns a new object of class 'Multiplicative Expression'.
      Returns:
        a new object of class 'Multiplicative Expression'.

    - #### createMultiplicativeOperator

          MultiplicativeOperator createMultiplicativeOperator()

      Returns a new object of class 'Multiplicative Operator'.
      Returns:
        a new object of class 'Multiplicative Operator'.

    - #### createMultiplicativeSubExpression

          MultiplicativeSubExpression createMultiplicativeSubExpression()

      Returns a new object of class 'Multiplicative Sub Expression'.
      Returns:
        a new object of class 'Multiplicative Sub Expression'.

    - #### createParameterList

          ParameterList createParameterList()

      Returns a new object of class 'Parameter List'.
      Returns:
        a new object of class 'Parameter List'.

    - #### createPathName

          PathName createPathName()

      Returns a new object of class 'Path Name'.
      Returns:
        a new object of class 'Path Name'.

    - #### createPostfixExpression

          PostfixExpression createPostfixExpression()

      Returns a new object of class 'Postfix Expression'.
      Returns:
        a new object of class 'Postfix Expression'.

    - #### createPrimaryExpression

          PrimaryExpression createPrimaryExpression()

      Returns a new object of class 'Primary Expression'.
      Returns:
        a new object of class 'Primary Expression'.

    - #### createQualifiers

          Qualifiers createQualifiers()

      Returns a new object of class 'Qualifiers'.
      Returns:
        a new object of class 'Qualifiers'.

    - #### createRangeExpression

          RangeExpression createRangeExpression()

      Returns a new object of class 'Range Expression'.
      Returns:
        a new object of class 'Range Expression'.

    - #### createRelationalExpression

          RelationalExpression createRelationalExpression()

      Returns a new object of class 'Relational Expression'.
      Returns:
        a new object of class 'Relational Expression'.

    - #### createRelationalOperator

          RelationalOperator createRelationalOperator()

      Returns a new object of class 'Relational Operator'.
      Returns:
        a new object of class 'Relational Operator'.

    - #### createRelationalSubExpression

          RelationalSubExpression createRelationalSubExpression()

      Returns a new object of class 'Relational Sub Expression'.
      Returns:
        a new object of class 'Relational Sub Expression'.

    - #### createTypeSpecifier

          TypeSpecifier createTypeSpecifier()

      Returns a new object of class 'Type Specifier'.
      Returns:
        a new object of class 'Type Specifier'.

    - #### createUnaryExpression

          UnaryExpression createUnaryExpression()

      Returns a new object of class 'Unary Expression'.
      Returns:
        a new object of class 'Unary Expression'.

    - #### createUnaryOperator

          UnaryOperator createUnaryOperator()

      Returns a new object of class 'Unary Operator'.
      Returns:
        a new object of class 'Unary Operator'.

    - #### createName

          Name createName()

      Returns a new object of class 'Name'.
      Returns:
        a new object of class 'Name'.

    - #### createConditionValueSet

          ConditionValueSet createConditionValueSet()

      Returns a new object of class 'Condition Value Set'.
      Returns:
        a new object of class 'Condition Value Set'.

    - #### createValueSet

          ValueSet createValueSet()

      Returns a new object of class 'Value Set'.
      Returns:
        a new object of class 'Value Set'.

    - #### createRuleStatement

          RuleStatement createRuleStatement()

      Returns a new object of class 'Rule Statement'.
      Returns:
        a new object of class 'Rule Statement'.

    - #### getAstPackage

          AstPackage getAstPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.